#include "opendylan/run-time.h"

void _Init_dood_ () __attribute__((constructor));
void _Init_dood_ () {
  extern void _Init_Run_Time();
  extern void _Init_walker_();
  extern void _Init_variable_search_();
  extern void _Init_io_();
  extern void _Init_collections_();
  extern void _Init_system_();
  extern void _Init_dylan_();
  extern void _Init_common_dylan_();
  extern void _Init_dood__X_dood_library_for_system();
  extern void _Init_dood__X_native_macros_for_system();
  extern void _Init_dood__X_macros_for_system();
  extern void _Init_dood__X_types_for_system();
  extern void _Init_dood__X_io_for_system();
  extern void _Init_dood__X_queue_for_system();
  extern void _Init_dood__X_dood_for_system();
  extern void _Init_dood__X_world_for_system();
  extern void _Init_dood__X_class_for_system();
  extern void _Init_dood__X_proxy_for_system();
  extern void _Init_dood__X_object_for_system();
  extern void _Init_dood__X_walk_for_system();
  extern void _Init_dood__X_commit_for_system();
  extern void _Init_dood__X_dumper_for_system();
  extern void _Init_dood__X_native_for_system();
  extern void _Init_dood__X_table_proxy_for_system();
  extern void _Init_dood__X_statistics_for_system();
  extern void _Init_dood__X_word_64_for_system();
  extern void _Init_dood__X_speed_for_system();
  extern void _Init_dood__X_dood_library_for_user();
  extern void _Init_dood__X_native_macros_for_user();
  extern void _Init_dood__X_macros_for_user();
  extern void _Init_dood__X_types_for_user();
  extern void _Init_dood__X_io_for_user();
  extern void _Init_dood__X_queue_for_user();
  extern void _Init_dood__X_dood_for_user();
  extern void _Init_dood__X_world_for_user();
  extern void _Init_dood__X_class_for_user();
  extern void _Init_dood__X_proxy_for_user();
  extern void _Init_dood__X_object_for_user();
  extern void _Init_dood__X_walk_for_user();
  extern void _Init_dood__X_commit_for_user();
  extern void _Init_dood__X_dumper_for_user();
  extern void _Init_dood__X_native_for_user();
  extern void _Init_dood__X_table_proxy_for_user();
  extern void _Init_dood__X_statistics_for_user();
  extern void _Init_dood__X_word_64_for_user();
  extern void _Init_dood__X_speed_for_user();
  static int initp = 0;
  if (!initp) {
    initp = 1;
    _Init_Run_Time();
    _Init_walker_();
    _Init_variable_search_();
    _Init_io_();
    _Init_collections_();
    _Init_system_();
    _Init_dylan_();
    _Init_common_dylan_();
    _Init_dood__X_dood_library_for_system();
    _Init_dood__X_native_macros_for_system();
    _Init_dood__X_macros_for_system();
    _Init_dood__X_types_for_system();
    _Init_dood__X_io_for_system();
    _Init_dood__X_queue_for_system();
    _Init_dood__X_dood_for_system();
    _Init_dood__X_world_for_system();
    _Init_dood__X_class_for_system();
    _Init_dood__X_proxy_for_system();
    _Init_dood__X_object_for_system();
    _Init_dood__X_walk_for_system();
    _Init_dood__X_commit_for_system();
    _Init_dood__X_dumper_for_system();
    _Init_dood__X_native_for_system();
    _Init_dood__X_table_proxy_for_system();
    _Init_dood__X_statistics_for_system();
    _Init_dood__X_word_64_for_system();
    _Init_dood__X_speed_for_system();
    _Init_dood__X_dood_library_for_user();
    _Init_dood__X_native_macros_for_user();
    _Init_dood__X_macros_for_user();
    _Init_dood__X_types_for_user();
    _Init_dood__X_io_for_user();
    _Init_dood__X_queue_for_user();
    _Init_dood__X_dood_for_user();
    _Init_dood__X_world_for_user();
    _Init_dood__X_class_for_user();
    _Init_dood__X_proxy_for_user();
    _Init_dood__X_object_for_user();
    _Init_dood__X_walk_for_user();
    _Init_dood__X_commit_for_user();
    _Init_dood__X_dumper_for_user();
    _Init_dood__X_native_for_user();
    _Init_dood__X_table_proxy_for_user();
    _Init_dood__X_statistics_for_user();
    _Init_dood__X_word_64_for_user();
    _Init_dood__X_speed_for_user();
  }
}
